Jump to content
Sign in to follow this  
MikeGarthLeDouxJoel

update firestorm

Recommended Posts

For Firestorm, once your viewer's version is older than the 3 most recent versions and the Firestorm team stops supporting it, you won't be able to log into SL any more. (Except with other viewers or a more recent Firestorm version.)

 

Edited by Parhelion Palou
completeness
  • Like 2

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...